cURL
curl --request GET \
--url 'https://app.teable.ai/api/admin/reward/export/%7BspaceId%7D?createdTimeFrom=SOME_STRING_VALUE&createdTimeTo=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'"<string>"admin
Export admin reward list as CSV
Export all reward records for a specific space as CSV file. Supports filtering by date range.
GET
/
admin
/
reward
/
export
/
{spaceId}
cURL
curl --request GET \
--url 'https://app.teable.ai/api/admin/reward/export/%7BspaceId%7D?createdTimeFrom=SOME_STRING_VALUE&createdTimeTo=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'"<string>"Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Space ID to export rewards for
Query Parameters
Filter by created time from (ISO string)
Filter by created time to (ISO string)
Response
200 - text/csv
Returns the CSV file with reward records
The response is of type string.
Last modified on March 5, 2026
Was this page helpful?
⌘I

